classification
Title: No documentation for PyStructSequence
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, python-dev, torsten
Priority: normal Keywords: patch

Created on 2012-01-19 21:56 by torsten, last changed 2013-10-12 17:02 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
structseq_doc.diff torsten, 2012-01-19 21:56 Patch to add documentation for PyStructSequence review
Messages (2)
msg151657 - (view) Author: Torsten Landschoff (torsten) * Date: 2012-01-19 21:56
While writing a C extension I wanted to create a namedtuple like object as os.statvfs and friends do.

I was unable to find a simple way to do this from C and was wondering how the posixmodule does it. It turned out that there is a PyStructSequence type for this.

It would be nice to have it documented. First draft for the documentation update attached.
msg199602 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-12 17:02
New changeset 05dcaf761c7d by Georg Brandl in branch '3.3':
Closes #13833: document PyStructSequence C-API functions.
http://hg.python.org/cpython/rev/05dcaf761c7d
History
Date User Action Args
2013-10-12 17:02:58python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg199602

resolution: fixed
stage: patch review -> resolved
2012-02-03 14:09:52eric.araujosetnosy: + eric.araujo
stage: patch review

versions: + Python 2.7, Python 3.2
2012-01-19 21:56:13torstencreate